require 'bonanza/link_strategies/base'
require 'bonanza/link_strategies/billing'

RSpec.describe Bonanza::LinkStrategies::Billing do
  let(:strategy) { described_class.new }
  let(:environment) { 'production' }

  before do
    allow(strategy).to receive(:environment).and_return(environment)
  end

  describe '#domain' do
    subject { strategy.domain }

    context 'development' do
      let(:environment) { 'development' }
      it { should eq 'http://billing.dev' }
    end

    context 'test' do
      let(:environment) { 'test' }
      it { should eq 'http://billing.test' }
    end

    context 'staging' do
      let(:environment) { 'staging' }
      it { should eq 'http://billing.dev' }
    end

    context 'production' do
      let(:environment) { 'production' }
      it { should eq 'https://billingfw.nine.ch' }
    end
  end
end
