require 'bonanza/link_strategies/base'
require 'bonanza/link_strategies/openshift'

RSpec.describe Bonanza::LinkStrategies::Openshift do
  let(:environment) { 'production' }

  before do
    allow(strategy).to receive(:environment).and_return(environment)
  end

  describe '#domain' do
    subject { strategy.domain }

    context 'no entity provided' do
      let(:strategy) { described_class.new }

      it { should eq 'https://aws-openshift.nine.ch:8443' }
    end

    context 'entity provided' do
      let(:strategy) { described_class.new('openshift:project:es34') }

      it { should eq 'https://openshift.nine.ch:8443' }
    end
  end
end
